-- Copyright (C) 2009 Diego Souza <dsouza at bitforest dot org>
-- 
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
-- 
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

import qualified Test.HUnit as T
import qualified Test.Network.Protocol.OAuth.Request as R
import qualified Test.Network.Protocol.OAuth.Signature as S
import qualified Test.Network.Protocol.OAuth.Consumer as C

all_tests = let fast = [R.fast_tests, S.fast_tests, C.fast_tests]
                slow = [R.slow_tests, S.slow_tests, C.slow_tests]
            in T.runTestTT . T.TestList . concat $ (fast ++ slow)

main = all_tests
